GeographicLib 2.7

Loading...
Searching...
No Matches
Rhumb.hpp File Reference

Header for GeographicLib::Rhumb and GeographicLib::RhumbLine classes. More...

`#include <GeographicLib/Constants.hpp>`
`#include <GeographicLib/DAuxLatitude.hpp>`
`#include <vector>`

Go to the source code of this file.

## Classes
class | GeographicLib::Rhumb
| Solve of the direct and inverse rhumb problems. More...
class | GeographicLib::RhumbLine
| Find a sequence of points on a single rhumb line. More...

## Namespaces
namespace | GeographicLib
| Namespace for GeographicLib.

## Macros
#define | GEOGRAPHICLIB_RHUMBAREA_ORDER

## Detailed Description

Header for GeographicLib::Rhumb and GeographicLib::RhumbLine classes.

Copyright (c) Charles Karney (2014-2023) karne.nosp@m.y@al.nosp@m.um.mi.nosp@m.t.ed.nosp@m.u and licensed under the MIT/X11 License. For more information, see https://geographiclib.sourceforge.io/

Definition in file Rhumb.hpp.

## Macro Definition Documentation

## ◆ GEOGRAPHICLIB_RHUMBAREA_ORDER

#define GEOGRAPHICLIB_RHUMBAREA_ORDER

Value:
(GEOGRAPHICLIB_PRECISION == 2 ? 6 : \
(GEOGRAPHICLIB_PRECISION == 1 ? 4 : 8))
GEOGRAPHICLIB_PRECISION
#define GEOGRAPHICLIB_PRECISION
Definition Math.hpp:35

The order of the series approximation used in rhumb area calculations. GEOGRAPHICLIB_RHUMBAREA_ORDER can be set to one of [4, 5, 6, 7, 8].

Definition at line 22 of file Rhumb.hpp.

Referenced by GeographicLib::Rhumb::PolygonAreaT.